The WaveDNA shop is not working! I can’t access the link because my browser “Cannot establish a secure connection”

ue to the increased global security threats online, we have increased the cryptographic strength of our shop site to maintain the security of our customer information.  This means that older browsers will not be able to connect. To access the WaveDNA web shop, there are minimum system requirements:
  1. Safari 7 on OSX 10.9
  2. Firefox 39 or better
  3. Chrome 43 or better
If you are on an older version of OSX (10.8 or less) it is highly recommend upgrading to at least Mavericks to enjoy the latest security standards in your safari browser, or at least update to a Firefox or Chrome browser if available for your version of OSX.

 

Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.
Powered by Zendesk